# SAM_START

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUE
ERRORS
SEE ALSO

## NAME

sam_start − Start health checking

## SYNOPSIS

#include <corosync/sam.h>

cs_error_t sam_start (void);

## DESCRIPTION

The sam_start function is used to start health checking of application. After calling this function, the active process needs to send healthchecks within the registered time interval by calling sam_hc_send(3). If event driven healthchecking is configured by calling sam_register(3), an internal thread will be created and send health check confirmations four times per time_interval.

Application must be registered by calling sam_register(3) before this function can be called.

An application can always stop health checking by calling the sam_stop(3) function.

If SAM is initialized with quorum policy SAM_RECOVERY_POLICY_QUIT or SAM_RECOVERY_POLICY_RESTART sam_start will block until corosync becomes quorate.

## RETURN VALUE

This call return CS_OK value if successful, otherwise and error is returned. If SAM is initialized with quorum policy, returned error can also be quorum error.

## ERRORS

CS_ERR_BAD_HANDLE

component was not registered by calling sam_register(3) function.

## SEE ALSO

sam_hc_send(3), sam_stop(3), sam_register(3), sam_hc_callback_register(3)

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task